| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
uiDial Class Reference
uiBase

`#include <uidial.h>`

Inheritance diagram for uiDial:
[legend]

## Public Member Functions
| uiDial (uiParent *, const char *nm="Dial")
| ~uiDial ()
void | getInterval (StepInterval< int > &) const
OD::Orientation | getOrientation () const
int | getValue () const
bool | hasInvertedControls () const
bool | hasStartAtTop () const
bool | hasWrapping () const
bool | isInverted () const
int | maxValue () const
int | minValue () const
| mOD_DisableCopy (uiDial) void setValue(int)
void | setInterval (const StepInterval< int > &)
void | setInverted (bool)
void | setInvertedControls (bool)
void | setMaxValue (int)
void | setMinValue (int)
void | setOrientation (OD::Orientation)
void | setStartAtTop (bool)
void | setStep (int)
void | setWrapping (bool)
int | step () const
Public Member Functions inherited from uiObject
| ~uiObject ()
uiSize | actualSize (bool include_border=true) const
void | attach (ConstraintType, int margin=-1)
| attaches object to another In case the stretched... options are used, margin=-1 (default) stretches the object not to cross the border. margin=-2 stretches the object to fill the parent's border. This looks nice with separators.
void | attach (ConstraintType, uiObject *, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *, int margin=-1, bool reciprocal=true)
virtual OD::Color | backgroundColor () const
virtual const ObjectSet< uiBaseObject > * | childList () const
void | close ()
void | deepRedraw ()
void | disabFocus ()
void | display (bool yn, bool shrink=false, bool maximized=false)
const uiFont * | font () const
QWidget * | getWidget () override
virtual bool | handleLongTabletPress ()
bool | hasFocus () const
virtual int | height () const
| Actual size in pixels.
bool | isCursorInside () const
bool | isDisplayed () const
virtual bool | isEmpty () const
bool | isSensitive () const
uiMainWin * | mainwin ()
| mOD_DisableCopy (uiObject) enum SzPolicy
| How should the object's size behave? Undef : use default. Small : 1 base sz. Medium : 2* base sz + 1. Wide : 4* base sz + 3. The xxVar options specify that the element may have a bigger internal preferred size. In that case, the maximum is taken. The xxMax options specify that the element should take all available space ( stretch = 2 )
uiParent * | parent ()
const uiParent * | parent () const
int | prefHNrPics () const
int | prefVNrPics () const
QWidget * | qwidget ()
const QWidget * | qwidget () const
void | reDraw (bool deep)
void | reParent (uiParent *)
OD::Color | roBackgroundColor () const
bool | sensitive () const
virtual void | setBackgroundColor (const OD::Color &)
virtual void | setBackgroundPixmap (const uiPixmap &)
void | setCaption (const uiString &)
virtual void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setHSzPol (SzPolicy)
void | setMaximumHeight (int)
void | setMaximumHeightInChar (int)
void | setMaximumWidth (int)
void | setMaximumWidthInChar (int)
void | setMinimumHeight (int)
void | setMinimumHeightInChar (int)
void | setMinimumWidth (int)
void | setMinimumWidthInChar (int)
virtual void | setName (const char *) override
virtual void | setPrefHeight (int)
void | setPrefHeightInChar (float)
virtual void | setPrefHeightInChar (int)
virtual void | setPrefWidth (int)
void | setPrefWidthInChar (float)
virtual void | setPrefWidthInChar (int)
void | setSensitive (bool yn=true)
void | setStretch (int hor, int ver)
| Sets stretch factors for object If stretch factor is > 1, then object will already grow at pop-up.
virtual void | setStyleSheet (const char *)
virtual void | setTextColor (const OD::Color &)
void | setToolTip (const uiString &)
void | setVSzPol (SzPolicy)
void | shallowRedraw ()
int | stretch (bool hor) const
SzPolicy | szPol (bool hor=true) const
const uiString & | toolTip () const
void | translateText () override
bool | visible () const
virtual int | width () const
| Actual size in pixels.
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
virtual Notifier< uiBaseObject > & | postFinalise ()
virtual Notifier< uiBaseObject > & | postFinalize ()
virtual Notifier< uiBaseObject > & | preFinalise ()
virtual Notifier< uiBaseObject > & | preFinalize ()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< uiDial > | sliderMoved
Notifier< uiDial > | sliderPressed
Notifier< uiDial > | sliderReleased
Notifier< uiDial > | valueChanged
Public Attributes inherited from uiObject
Notifier< uiObject > | closed
| Triggered when object closes.
CNotifier< uiObject, uiRect & > | setGeometry
| triggered when getting a new geometry A reference to the new geometry is passed which can be manipulated, before the geometry is actually set to the QWidget.

## Private Member Functions
uiDialBody & | mkbody (uiParent *, const char *)

## Private Attributes
uiDialBody * | body_
bool | startAtTop_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiObject
static int | baseFldSize ()
static int | iconSize ()
static void | setTabOrder (uiObject *first, uiObject *second)
static void | updateToolTips ()
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Member Functions inherited from uiObject
| uiObject (uiParent *, const char *nm)
| uiObject (uiParent *, const char *nm, uiObjectBody &)
virtual bool | closeOK ()
| hook. Accepts/denies closing of window.
uiObjectBody * | objBody ()
const uiObjectBody * | objBody () const
void | triggerSetGeometry (const i_LayoutItem *, uiRect &)
| setGeometry should be triggered by this's layoutItem
void | updateToolTip (CallBacker *=nullptr)
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Attributes inherited from uiObject
uiString | tooltip_
uiObjEventFilter * | uiobjeventfilter_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiDial()

uiDial::uiDial | ( | uiParent * | ,
|  | const char * | nm = "Dial" )

## ◆ ~uiDial()

uiDial::~uiDial | ( |  | ) |

## Member Function Documentation

## ◆ getInterval()

void uiDial::getInterval | ( | StepInterval< int > & |  | ) | const

## ◆ getOrientation()

OD::Orientation uiDial::getOrientation | ( |  | ) | const

## ◆ getValue()

int uiDial::getValue | ( |  | ) | const

## ◆ hasInvertedControls()

bool uiDial::hasInvertedControls | ( |  | ) | const

## ◆ hasStartAtTop()

bool uiDial::hasStartAtTop | ( |  | ) | const

## ◆ hasWrapping()

bool uiDial::hasWrapping | ( |  | ) | const

## ◆ isInverted()

bool uiDial::isInverted | ( |  | ) | const

## ◆ maxValue()

int uiDial::maxValue | ( |  | ) | const

## ◆ minValue()

int uiDial::minValue | ( |  | ) | const

## ◆ mkbody()

uiDialBody & uiDial::mkbody | ( | uiParent * | ,
|  | const char * | )
| private

## ◆ mOD_DisableCopy()

uiDial::mOD_DisableCopy | ( | uiDial |  | ) |

## ◆ setInterval()

void uiDial::setInterval | ( | const StepInterval< int > & |  | ) |

## ◆ setInverted()

void uiDial::setInverted | ( | bool |  | ) |

## ◆ setInvertedControls()

void uiDial::setInvertedControls | ( | bool |  | ) |

## ◆ setMaxValue()

void uiDial::setMaxValue | ( | int |  | ) |

## ◆ setMinValue()

void uiDial::setMinValue | ( | int |  | ) |

## ◆ setOrientation()

void uiDial::setOrientation | ( | OD::Orientation |  | ) |

## ◆ setStartAtTop()

void uiDial::setStartAtTop | ( | bool |  | ) |

## ◆ setStep()

void uiDial::setStep | ( | int |  | ) |

## ◆ setWrapping()

void uiDial::setWrapping | ( | bool |  | ) |

## ◆ step()

int uiDial::step | ( |  | ) | const

## Member Data Documentation

## ◆ body_

uiDialBody* uiDial::body_
| private

## ◆ sliderMoved

Notifier<uiDial> uiDial::sliderMoved

## ◆ sliderPressed

Notifier<uiDial> uiDial::sliderPressed

## ◆ sliderReleased

Notifier<uiDial> uiDial::sliderReleased

## ◆ startAtTop_

bool uiDial::startAtTop_
| private

## ◆ valueChanged

Notifier<uiDial> uiDial::valueChanged

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025